/*
 *************************************************************************  
 *  This css file is loaded by Moodle as part of the HTML page header
 *  
 *  It removes options from specific pages to simplify the interface 
 *  
 *  All entries are constrained to a particular page (body#<page-id>)
 *************************************************************************  
*/

/* page-mod-assignment-mod -------- GROUP ASSIGNMENT GRADING PAGES ------------- */
/* Hide grading section from Assessment settings  profile */
body#page-mod-assign-mod             fieldset[id="id_modstandardgrade"] { display: none; visibility: hidden; height:0px; width: 0px; } 

/* Hide user profile options */
#page-user-profile a[href*='grade/report/overview/index.php']  { display: none; visibility: hidden; height:0px; width: 0px; }
#page-user-preferences a[href*='/user/language.php'] {display: none  !important;}
#page-user-preferences a[href*='/user/editor.php'] {display: none  !important;}
#page-user-preferences a[href*='/user/calendar.php'] {display: none  !important;}
#page-user-preferences a[href*='/user/contentbank.php'] {display: none  !important;}
#page-user-preferences a[href*='/message/edit.php'] {display: none  !important;}
#page-user-preferences a[href*='/message/notificationpreferences.php'] {display: none  !important;}

#Xpage-course-view-topics a[href*='/mod/attendance/view.php']  { display: none; visibility: hidden; height:0px; width: 0px; }
#page-course-view-topics a[href*='/report/log/user.php']  { display: none; visibility: hidden; height:0px; width: 0px; }
#page-course-view-topics a[href*='/report/outline/user.php']  { display: none; visibility: hidden; height:0px; width: 0px; }
#page-course-view-topics a[href*='/report/outline/user.php']  { display: none; visibility: hidden; height:0px; width: 0px; }
#page-course-view-topics a[href*='/grade/report/overview/index.php']  { display: none; visibility: hidden; height:0px; width: 0px; }

/* page-course-view-* -------- COURSE VIEW AND PARTICIPANTS PAGES ------------- */
/* Hide option on tutor course pages topbar */
body#page-course-view-weeks          li[data-key="Xcourseoverview"]       { display: none; visibility: hidden; height:0px; width: 0px; }
body#page-course-view-topics         li[data-key="Xcourseoverview"]       { display: none; visibility: hidden; height:0px; width: 0px; } 
body#page-course-view-social         li[data-key="Xcourseoverview"]       { display: none; visibility: hidden; height:0px; width: 0px; }
body#page-course-view-singleactivity li[data-key="Xcourseoverview"]       { display: none; visibility: hidden; height:0px; width: 0px; }
body#page-course-view-participants   li[data-key="Xcourseoverview"]       { display: none; visibility: hidden; height:0px; width: 0px; }

body#page-course-view-weeks          li[data-region="morebutton"]       { display: none; visibility: hidden; height:0px; width: 0px; }
body#page-course-view-topics         li[data-region="morebutton"]       { display: none; visibility: hidden; height:0px; width: 0px; } 
body#page-course-view-social         li[data-region="morebutton"]       { display: none; visibility: hidden; height:0px; width: 0px; }
body#page-course-view-singleactivity li[data-region="morebutton"]       { display: none; visibility: hidden; height:0px; width: 0px; }
body#page-course-view-participants   li[data-region="morebutton"]       { display: none; visibility: hidden; height:0px; width: 0px; }

body#page-course-view-weeks          li[data-key="coursereports"]       { display: none; visibility: hidden; height:0px; width: 0px; }
body#page-course-view-topics         li[data-key="coursereports"]       { display: none; visibility: hidden; height:0px; width: 0px; } 
body#page-course-view-social         li[data-key="coursereports"]       { display: none; visibility: hidden; height:0px; width: 0px; }
body#page-course-view-singleactivity li[data-key="coursereports"]       { display: none; visibility: hidden; height:0px; width: 0px; }
body#page-course-view-participants   li[data-key="coursereports"]       { display: none; visibility: hidden; height:0px; width: 0px; }

body#page-course-view-weeks          li[data-key="questionbank"]        { display: none; visibility: hidden; height:0px; width: 0px; }
body#page-course-view-topics         li[data-key="questionbank"]        { display: none; visibility: hidden; height:0px; width: 0px; } 
body#page-course-view-social         li[data-key="questionbank"]        { display: none; visibility: hidden; height:0px; width: 0px; }
body#page-course-view-singleactivity li[data-key="questionbank"]        { display: none; visibility: hidden; height:0px; width: 0px; }
body#page-course-view-participants   li[data-key="questionbank"]        { display: none; visibility: hidden; height:0px; width: 0px; }

body#page-course-view-weeks          li[data-key="grades"]              { display: none; visibility: hidden; height:0px; width: 0px; }
body#page-course-view-topics         li[data-key="grades"]              { display: none; visibility: hidden; height:0px; width: 0px; } 
body#page-course-view-social         li[data-key="grades"]              { display: none; visibility: hidden; height:0px; width: 0px; }
body#page-course-view-singleactivity li[data-key="grades"]              { display: none; visibility: hidden; height:0px; width: 0px; }
body#page-course-view-participants   li[data-key="grades"]              { display: none; visibility: hidden; height:0px; width: 0px; }

body#page-course-view-weeks          li[data-key="contentbank"]         { display: none; visibility: hidden; height:0px; width: 0px; }
body#page-course-view-topics         li[data-key="contentbank"]         { display: none; visibility: hidden; height:0px; width: 0px; } 
body#page-course-view-social         li[data-key="contentbank"]         { display: none; visibility: hidden; height:0px; width: 0px; }
body#page-course-view-singleactivity li[data-key="contentbank"]         { display: none; visibility: hidden; height:0px; width: 0px; }
body#page-course-view-participants   li[data-key="contentbank"]         { display: none; visibility: hidden; height:0px; width: 0px; }

body#page-course-view-weeks          li[data-key="coursereuse"]         { display: none; visibility: hidden; height:0px; width: 0px; }
body#page-course-view-topics         li[data-key="coursereuse"]         { display: none; visibility: hidden; height:0px; width: 0px; } 
body#page-course-view-social         li[data-key="coursereuse"]         { display: none; visibility: hidden; height:0px; width: 0px; }
body#page-course-view-singleactivity li[data-key="coursereuse"]         { display: none; visibility: hidden; height:0px; width: 0px; }
body#page-course-view-participants   li[data-key="coursereuse"]         { display: none; visibility: hidden; height:0px; width: 0px; }

body#page-course-view-weeks          li[data-key="filtermanagement"]    { display: none; visibility: hidden; height:0px; width: 0px; }
body#page-course-view-topics         li[data-key="filtermanagement"]    { display: none; visibility: hidden; height:0px; width: 0px; } 
body#page-course-view-social         li[data-key="filtermanagement"]    { display: none; visibility: hidden; height:0px; width: 0px; }
body#page-course-view-singleactivity li[data-key="filtermanagement"]    { display: none; visibility: hidden; height:0px; width: 0px; }
body#page-course-view-participants   li[data-key="filtermanagement"]    { display: none; visibility: hidden; height:0px; width: 0px; }

body#page-course-view-weeks          li[data-key="tool_recyclebin"]     { display: none; visibility: hidden; height:0px; width: 0px; }
body#page-course-view-topics         li[data-key="tool_recyclebin"]     { display: none; visibility: hidden; height:0px; width: 0px; } 
body#page-course-view-social         li[data-key="tool_recyclebin"]     { display: none; visibility: hidden; height:0px; width: 0px; }
body#page-course-view-singleactivity li[data-key="tool_recyclebin"]     { display: none; visibility: hidden; height:0px; width: 0px; }
body#page-course-view-participants   li[data-key="tool_recyclebin"]     { display: none; visibility: hidden; height:0px; width: 0px; }

/* page-user-profile -------- USER PROFILE PAGES ------------- */
/*  hide profile options   */
body#page-user-preferences div > a[href*="/user/calendar.php"]       { display: none; visibility: hidden; height:0px; width: 0px; }
body#page-user-profile     div > a[href*="/user/calendar.php"]       { display: none; visibility: hidden; height:0px; width: 0px; }

body#page-user-preferences div > a[href*="/user/contentbank.php"]    { display: none; visibility: hidden; height:0px; width: 0px; }
body#page-user-profile     div > a[href*="/user/contentbank.php"]    { display: none; visibility: hidden; height:0px; width: 0px; }

body#page-user-preferences div > a[href*="/message/edit.php"]        { display: none; visibility: hidden; height:0px; width: 0px; }
body#page-user-profile     div > a[href*="/message/edit.php"]        { display: none; visibility: hidden; height:0px; width: 0px; } 

body#page-user-preferences div > a[href*="/user/language.php"]       { display: none; visibility: hidden; height:0px; width: 0px; } 
body#page-user-profile     div > a[href*="/user/language.php"]       { display: none; visibility: hidden; height:0px; width: 0px; } 

body#page-user-preferences div > a[href*="/user/editor.php"]         { display: none; visibility: hidden; height:0px; width: 0px; }
body#page-user-profile     div > a[href*="/user/editor.php"]         { display: none; visibility: hidden; height:0px; width: 0px; }
i
/* hide block section */
body#page-user-preferences button.btn.icon-no-margin[data-target="theme_boost-drawers-blocks"]       { display: none; visibility: hidden; height:0px; width: 0px; }
body#page-user-profile     button.btn.icon-no-margin[data-target="theme_boost-drawers-blocks"]       { display: none; visibility: hidden; height:0px; width: 0px; }

/* Hide grade report option from tutor-view profile page */
body#page-user-profile li > span > a[href*="/grade/report/overview/index.php"] { display: none; visibility: hidden; height:0px; width: 0px; }

/* Hide grade option from tutor profile-view page */
body#page-user-profile li > span > a[href*="/course/user.php?mode=grade&id="]  { display: none; visibility: hidden; height:0px; width: 0px; }

    
/* page-mod-assign-view -------- HIDE UNGRADED TOTAL ------------- */

#DONOTUSE_body#page-mod-assign-view table.generaltable > tbody > tr:nth-child(3) { display: none; visibility: hidden; height:0px; width: 0px; }

/* page-mod-assignment-grader -------- ASSIGNMENT INDIVIDUAL GRADING PAGES ------------- */
/* Hide grading status header on individual student assessment page */
body#page-mod-assign-grader div.submissionstatustable + h3  { display: none; visibility: hidden; height:0px; width: 0px; }

/* Hide grading status on individual student assessment page */
body#page-mod-assign-grader div#fitem_id_currentgrade       { display: none; visibility: hidden; height:0px; width: 0px; }

/* page-user-contactsitesupport-* -------- MESSAGE SITE TECH-SUPPORT PAGE ------------- */
/* Reformat 'confirm' message to match page-width */
body#page-user-contactsitesupport  div.form-group.row.fitem#fitem_id_message > div.col-md-3 { min-width:400px; display: block; }

/* page-mod-book-view * -------- BOOK ------------- */
/* Set chapter headings to house-style in contents sidebar */
body#page-mod-book-view div.book_toc > ul > li > a {color: #921EC0; font-weight:bold; }

/* page- * -------- NOTIFICATION PREFERENCES  ------------- */
body#page-message-notificationpreferences table.preference-table tr:nth-child(9)  { display: none; visibility: hidden; height:0px; width: 0px; } /* message_provider_mod_forum_digests"> */
body#page-message-notificationpreferences table.preference-table tr:nth-child(10) { display: none; visibility: hidden; height:0px; width: 0px; } /*  */
body#page-message-notificationpreferences table.preference-table tr:nth-child(11) { display: none; visibility: hidden; height:0px; width: 0px; } /* message_provider_mod_lesson_graded_essay"> */
body#page-message-notificationpreferences table.preference-table tr:nth-child(12) { display: none; visibility: hidden; height:0px; width: 0px; } /*  */
body#page-message-notificationpreferences table.preference-table tr:nth-child(13) { display: none; visibility: hidden; height:0px; width: 0px; } /* message_provider_moodle_newlogin"> */
body#page-message-notificationpreferences table.preference-table tr:nth-child(14) { display: none; visibility: hidden; height:0px; width: 0px; } /* message_provider_moodle_coursecompleted"> */
body#page-message-notificationpreferences table.preference-table tr:nth-child(15) { display: none; visibility: hidden; height:0px; width: 0px; } /* message_provider_moodle_coursecontentupdated"> */
body#page-message-notificationpreferences table.preference-table tr:nth-child(16) { display: none; visibility: hidden; height:0px; width: 0px; } /* message_provider_moodle_badgerecipientnotice"> */
body#page-message-notificationpreferences table.preference-table tr:nth-child(17) { display: none; visibility: hidden; height:0px; width: 0px; } /* message_provider_moodle_badgecreatornotice"> */
body#page-message-notificationpreferences table.preference-table tr:nth-child(18) { display: none; visibility: hidden; height:0px; width: 0px; } /* message_provider_moodle_competencyplancomment"> */
body#page-message-notificationpreferences table.preference-table tr:nth-child(19) { display: none; visibility: hidden; height:0px; width: 0px; } /* message_provider_moodle_competencyusercompcomment"> */
body#page-message-notificationpreferences table.preference-table tr:nth-child(20) { display: none; visibility: hidden; height:0px; width: 0px; } /* message_provider_moodle_insights"> */
body#page-message-notificationpreferences table.preference-table tr:nth-child(21) { display: none; visibility: hidden; height:0px; width: 0px; } /* message_provider_moodle_messagecontactrequests"> */
body#page-message-notificationpreferences table.preference-table tr:nth-child(22) { display: none; visibility: hidden; height:0px; width: 0px; } /* message_provider_moodle_asyncbackupnotification"> */
body#page-message-notificationpreferences table.preference-table tr:nth-child(23) { display: none; visibility: hidden; height:0px; width: 0px; } /* message_provider_moodle_gradenotifications"> */
body#page-message-notificationpreferences table.preference-table tr:nth-child(24) { display: none; visibility: hidden; height:0px; width: 0px; } /* message_provider_moodle_reportbuilderschedule"> */
body#page-message-notificationpreferences table.preference-table tr:nth-child(25) { display: none; visibility: hidden; height:0px; width: 0px; } /*  */
body#page-message-notificationpreferences table.preference-table tr:nth-child(26) { display: none; visibility: hidden; height:0px; width: 0px; } /* message_provider_enrol_manual_expiry_notification"> */
body#page-message-notificationpreferences table.preference-table tr:nth-child(27) { display: none; visibility: hidden; height:0px; width: 0px; } /*  */
body#page-message-notificationpreferences table.preference-table tr:nth-child(28) { display: none; visibility: hidden; height:0px; width: 0px; } /* message_provider_tool_dataprivacy_datarequestprocessingresults"> */
body#page-message-notificationpreferences table.preference-table tr:nth-child(29) { display: none; visibility: hidden; height:0px; width: 0px; } /*  */
body#page-message-notificationpreferences table.preference-table tr:nth-child(30) { display: none; visibility: hidden; height:0px; width: 0px; } /* message_provider_tool_messageinbound_invalidrecipienthandler"> */
body#page-message-notificationpreferences table.preference-table tr:nth-child(31) { display: none; visibility: hidden; height:0px; width: 0px; } /* message_provider_tool_messageinbound_messageprocessingerror"> */
body#page-message-notificationpreferences table.preference-table tr:nth-child(32) { display: none; visibility: hidden; height:0px; width: 0px; } /* message_provider_tool_messageinbound_messageprocessingsuccess"> */
body#page-message-notificationpreferences table.preference-table tr:nth-child(33) { display: none; visibility: hidden; height:0px; width: 0px; } /* message_provider_tool_messageinbound_messageprocessingsuccess"> */
body#page-message-notificationpreferences table.preference-table tr:nth-child(34) { display: none; visibility: hidden; height:0px; width: 0px; } /* message_provider_tool_messageinbound_messageprocessingsuccess"> */
body#page-message-notificationpreferences table.preference-table tr:nth-child(35) { display: none; visibility: hidden; height:0px; width: 0px; } /* message_provider_tool_messageinbound_messageprocessingsuccess"> */
body#page-message-notificationpreferences table.preference-table tr:nth-child(36) { display: none; visibility: hidden; height:0px; width: 0px; } /* message_provider_tool_messageinbound_messageprocessingsuccess"> */
body#page-message-notificationpreferences table.preference-table tr:nth-child(37) { display: none; visibility: hidden; height:0px; width: 0px; } /* message_provider_tool_messageinbound_messageprocessingsuccess"> */
body#page-message-notificationpreferences table.preference-table tr:nth-child(38) { display: none; visibility: hidden; height:0px; width: 0px; } /* message_provider_tool_messageinbound_messageprocessingsuccess"> */
body#page-message-notificationpreferences table.preference-table tr:nth-child(39) { display: none; visibility: hidden; height:0px; width: 0px; } /* message_provider_tool_messageinbound_messageprocessingsuccess"> */
body#page-message-notificationpreferences table.preference-table tr:nth-child(40) { display: none; visibility: hidden; height:0px; width: 0px; } /* message_provider_tool_messageinbound_messageprocessingsuccess"> */
body#page-message-notificationpreferences table.preference-table tr:nth-child(41) { display: none; visibility: hidden; height:0px; width: 0px; } /* message_provider_tool_messageinbound_messageprocessingerror"> */
body#page-message-notificationpreferences table.preference-table tr:nth-child(42) { display: none; visibility: hidden; height:0px; width: 0px; } /* message_provider_tool_messageinbound_messageprocessingsuccess"> */
body#page-message-notificationpreferences table.preference-table tr:nth-child(43) { display: none; visibility: hidden; height:0px; width: 0px; } /* message_provider_tool_messageinbound_messageprocessingsuccess"> */
body#page-message-notificationpreferences table.preference-table tr:nth-child(44) { display: none; visibility: hidden; height:0px; width: 0px; } /* message_provider_tool_messageinbound_messageprocessingsuccess"> */
body#page-message-notificationpreferences table.preference-table tr:nth-child(45) { display: none; visibility: hidden; height:0px; width: 0px; } /* message_provider_tool_messageinbound_messageprocessingsuccess"> */
body#page-message-notificationpreferences table.preference-table tr:nth-child(46) { display: none; visibility: hidden; height:0px; width: 0px; } /* message_provider_tool_messageinbound_messageprocessingsuccess"> */
body#page-message-notificationpreferences table.preference-table tr:nth-child(47) { display: none; visibility: hidden; height:0px; width: 0px; } /* message_provider_tool_messageinbound_messageprocessingsuccess"> */
body#page-message-notificationpreferences table.preference-table tr:nth-child(48) { display: none; visibility: hidden; height:0px; width: 0px; } /* message_provider_tool_messageinbound_messageprocessingsuccess"> */
body#page-message-notificationpreferences table.preference-table tr:nth-child(49) { display: none; visibility: hidden; height:0px; width: 0px; } /* message_provider_tool_messageinbound_messageprocessingsuccess"> */
body#page-message-notificationpreferences table.preference-table tr:nth-child(50) { display: none; visibility: hidden; height:0px; width: 0px; } /* message_provider_tool_messageinbound_messageprocessingsuccess"> */
